=begin
TIG (c) 2011
=end
require 'sketchup.rb'
module TIG
def self.equalsegs()
  model=Sketchup.active_model
  ents=model.active_entities
  results=inputbox(["Segment Length: ", "Radius: ", "Number Straight: ", "Number Radially: "],[1.to_l, 2.to_l, 3, 3],"Equal Segs Parameters")
  return nil if not results
  s,r,c,n=results
  group=ents.add_group
  group.name="EqualSegs"
  gents=group.entities
  model.start_operation('EqualSegs')
  pc=Geom::Point3d.new(0,r,0)
  gents.add_cpoint(pc)
  p0=ORIGIN.clone
  pe=p0.clone
  ps=p0.offset([-s,0,0])
  c.times{|i|
    gents.add_line(ps,pe)
    gents.add_cpoint(pe)
    pe=ps.clone
    ps.offset!([-s,0,0])
  }
  gents.add_cpoint(pe)
  a=2.0*Math.asin(s/2.0/r)
  t=Geom::Transformation.rotation(pc, Z_AXIS, a)
  psl=p0.clone
  psn=p0.clone
  n.times{|i|
    gents.add_cpoint(psn)
    gents.add_cline(pc, psn)
    psl=psn.clone
    psn.transform!(t)
    gents.add_line(psl, psn)
  }
  gents.add_cpoint(psn)
  gents.add_cline(pc, psn)
  model.commit_operation
end
end